Update Profile
curl --request PATCH \
--url https://api.agentpowers.ai/v1/users/profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"display_name": "<string>",
"bio": "<string>",
"website_url": "<string>",
"github_url": "<string>",
"linkedin_url": "<string>",
"twitter_url": "<string>"
}
'import requests
url = "https://api.agentpowers.ai/v1/users/profile"
payload = {
"display_name": "<string>",
"bio": "<string>",
"website_url": "<string>",
"github_url": "<string>",
"linkedin_url": "<string>",
"twitter_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
display_name: '<string>',
bio: '<string>',
website_url: '<string>',
github_url: '<string>',
linkedin_url: '<string>',
twitter_url: '<string>'
})
};
fetch('https://api.agentpowers.ai/v1/users/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"email": "<string>",
"display_name_slug": "<string>",
"display_name": "<string>",
"github_username": "<string>",
"joined_at": "<string>",
"bio": "<string>",
"website_url": "<string>",
"github_url": "<string>",
"linkedin_url": "<string>",
"twitter_url": "<string>",
"avatar_url": "<string>",
"account_status": "<string>",
"deletion_scheduled_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}users
Update Profile
Update current user’s profile.
When display_name changes, recomputes display_name_slug via update_slug().
PATCH
/
v1
/
users
/
profile
Update Profile
curl --request PATCH \
--url https://api.agentpowers.ai/v1/users/profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"display_name": "<string>",
"bio": "<string>",
"website_url": "<string>",
"github_url": "<string>",
"linkedin_url": "<string>",
"twitter_url": "<string>"
}
'import requests
url = "https://api.agentpowers.ai/v1/users/profile"
payload = {
"display_name": "<string>",
"bio": "<string>",
"website_url": "<string>",
"github_url": "<string>",
"linkedin_url": "<string>",
"twitter_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
display_name: '<string>',
bio: '<string>',
website_url: '<string>',
github_url: '<string>',
linkedin_url: '<string>',
twitter_url: '<string>'
})
};
fetch('https://api.agentpowers.ai/v1/users/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"email": "<string>",
"display_name_slug": "<string>",
"display_name": "<string>",
"github_username": "<string>",
"joined_at": "<string>",
"bio": "<string>",
"website_url": "<string>",
"github_url": "<string>",
"linkedin_url": "<string>",
"twitter_url": "<string>",
"avatar_url": "<string>",
"account_status": "<string>",
"deletion_scheduled_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Provide a Clerk JWT or a long-lived CLI token (prefix ap_cli_). Pass as Authorization: Bearer <token>.
Body
application/json
Response
Successful Response
Response body for profile endpoints.
Was this page helpful?